class KImageIOFormat

# class KImageIOFormat |
Definition | `#include <kimageiofactory.h>`
Inherits | KSycocaEntry (kdecore) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- typedef KSharedPtr Ptr
- typedef QValueList List

#### Public Methods

- KImageIOFormat ( const QString & path)
- KImageIOFormat ( QDataStream& _str, int offset)
- virtual ~KImageIOFormat ()
- virtual QString name () const
- virtual bool isValid () const
- virtual void load (QDataStream& )
- virtual void save (QDataStream& )
- void callLibFunc ( bool read, QImageIO *)

#### Public Members

- QString mType
- QString mHeader
- QString mFlags
- bool bRead
- bool bWrite
- QStringList mSuffices
- QString mPattern
- QString mMimetype
- QString mLib
- QStringList rPaths
- bool bLibLoaded
- void (*mReadFunc) (QImageIO *)
- void (*mWriteFunc) (QImageIO *)

#### Protected Methods

- virtual void virtual_hook ( int id, void* data )

## Detailed Description

typedef KSharedPtr<KImageIOFormat> Ptr | ### Ptr

typedef QValueList List | ### List

KImageIOFormat ( const QString & path) | ### KImageIOFormat

Read a KImageIOFormat description file

KImageIOFormat ( QDataStream& _str, int offset) | ### KImageIOFormat

~KImageIOFormat () | ### ~KImageIOFormat

[virtual]

QString name () | ### name

[const virtual]

Reimplemented from KSycocaEntry.

bool isValid () | ### isValid

[const virtual]

Reimplemented from KSycocaEntry.

void load (QDataStream& ) | ### load

[virtual]

Load the image format from a stream.

Reimplemented from KSycocaEntry.

void save (QDataStream& ) | ### save

[virtual]

Save the image format to a stream.

Reimplemented from KSycocaEntry.

void callLibFunc ( bool read, QImageIO *) | ### callLibFunc

Calls image IO function

QString mType | ### mType

QString mHeader | ### mHeader

QString mFlags | ### mFlags

bool bRead | ### bRead

bool bWrite | ### bWrite

QStringList mSuffices | ### mSuffices

QString mPattern | ### mPattern

QString mMimetype | ### mMimetype

QString mLib | ### mLib

QStringList rPaths | ### rPaths

bool bLibLoaded | ### bLibLoaded

void (*mReadFunc) (QImageIO *) | ### (*mReadFunc)

void (*mWriteFunc) (QImageIO *) | ### (*mWriteFunc)

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Reimplemented from KSycocaEntry.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.